Skip to content

Instantly share code, notes, and snippets.

Embed
What would you like to do?
Camel 2.15.3 RC2 Karaf Features Installation Output
karaf@root> features:install camel-catalog
karaf@root> features:install camel-ahc
karaf@root> features:install camel-ahc-ws
karaf@root> features:install camel-amqp
karaf@root> features:install camel-apns
karaf@root> features:install camel-atmosphere-websocket
karaf@root> features:install camel-atom
karaf@root> features:install camel-avro
Error executing command: Can't install feature camel-avro/0.0.0:
Could not start bundle mvn:org.xerial.snappy/snappy-java/1.1.0.1 in feature(s) camel-hdfs2-2.15.3, camel-avro-2.15.3, camel-hbase-2.15.3: Activator start error in bundle org.xerial.snappy.snappy-java [122].
karaf@root> features:install camel-aws
karaf@root> features:install camel-bam
karaf@root> features:install camel-base64
karaf@root> features:install camel-bean-validator
karaf@root> features:install camel-beanio
karaf@root> features:install camel-beanstalk
karaf@root> features:install camel-barcode
karaf@root> features:install camel-bindy
karaf@root> features:install camel-box
karaf@root> features:install camel-cache
karaf@root> features:install camel-cassandraql
karaf@root> features:install camel-castor
karaf@root> features:install camel-chunk
karaf@root> features:install camel-cmis
karaf@root> features:install camel-cometd
karaf@root> features:install camel-context
karaf@root> features:install camel-couchdb
karaf@root> features:install camel-crypto
karaf@root> features:install camel-csv
karaf@root> features:install camel-cxf
ERROR: Bundle org.ops4j.pax.logging.pax-logging-service [4] EventDispatcher: Error during dispatch. (java.lang.NullPointerException)
java.lang.NullPointerException
at org.apache.felix.framework.util.Util.getWire(Util.java:335)
at org.apache.felix.framework.ServiceRegistrationImpl$ServiceReferenceImpl.isAssignableTo(ServiceRegistrationImpl.java:506)
at org.apache.felix.framework.util.Util.isServiceAssignable(Util.java:280)
at org.apache.felix.framework.util.EventDispatcher.invokeServiceListenerCallback(EventDispatcher.java:928)
at org.apache.felix.framework.util.EventDispatcher.fireEventImmediately(EventDispatcher.java:794)
at org.apache.felix.framework.util.EventDispatcher.fireServiceEvent(EventDispatcher.java:544)
at org.apache.felix.framework.Felix.fireServiceEvent(Felix.java:4445)
at org.apache.felix.framework.Felix.registerService(Felix.java:3431)
at org.apache.felix.framework.BundleContextImpl.registerService(BundleContextImpl.java:346)
at org.apache.felix.framework.BundleContextImpl.registerService(BundleContextImpl.java:320)
at org.apache.cxf.transport.http.osgi.HTTPTransportActivator$ServletConfigurer.updated(HTTPTransportActivator.java:147)
at org.apache.felix.cm.impl.helper.ManagedServiceTracker.updated(ManagedServiceTracker.java:189)
at org.apache.felix.cm.impl.helper.ManagedServiceTracker.updateService(ManagedServiceTracker.java:152)
at org.apache.felix.cm.impl.helper.ManagedServiceTracker.provideConfiguration(ManagedServiceTracker.java:85)
at org.apache.felix.cm.impl.ConfigurationManager$ManagedServiceUpdate.provide(ConfigurationManager.java:1440)
at org.apache.felix.cm.impl.ConfigurationManager$ManagedServiceUpdate.run(ConfigurationManager.java:1396)
at org.apache.felix.cm.impl.UpdateThread.run(UpdateThread.java:103)
at java.lang.Thread.run(Thread.java:745)
ERROR: Bundle org.apache.karaf.service.guard [25] EventDispatcher: Error during dispatch. (java.lang.NullPointerException)
java.lang.NullPointerException
at org.apache.felix.framework.util.Util.getWire(Util.java:335)
at org.apache.felix.framework.ServiceRegistrationImpl$ServiceReferenceImpl.isAssignableTo(ServiceRegistrationImpl.java:506)
at org.apache.felix.framework.util.Util.isServiceAssignable(Util.java:280)
at org.apache.felix.framework.util.EventDispatcher.invokeServiceListenerCallback(EventDispatcher.java:928)
at org.apache.felix.framework.util.EventDispatcher.fireEventImmediately(EventDispatcher.java:794)
at org.apache.felix.framework.util.EventDispatcher.fireServiceEvent(EventDispatcher.java:544)
at org.apache.felix.framework.Felix.fireServiceEvent(Felix.java:4445)
at org.apache.felix.framework.Felix.registerService(Felix.java:3431)
at org.apache.felix.framework.BundleContextImpl.registerService(BundleContextImpl.java:346)
at org.apache.felix.framework.BundleContextImpl.registerService(BundleContextImpl.java:320)
at org.apache.cxf.transport.http.osgi.HTTPTransportActivator$ServletConfigurer.updated(HTTPTransportActivator.java:147)
at org.apache.felix.cm.impl.helper.ManagedServiceTracker.updated(ManagedServiceTracker.java:189)
at org.apache.felix.cm.impl.helper.ManagedServiceTracker.updateService(ManagedServiceTracker.java:152)
at org.apache.felix.cm.impl.helper.ManagedServiceTracker.provideConfiguration(ManagedServiceTracker.java:85)
at org.apache.felix.cm.impl.ConfigurationManager$ManagedServiceUpdate.provide(ConfigurationManager.java:1440)
at org.apache.felix.cm.impl.ConfigurationManager$ManagedServiceUpdate.run(ConfigurationManager.java:1396)
at org.apache.felix.cm.impl.UpdateThread.run(UpdateThread.java:103)
at java.lang.Thread.run(Thread.java:745)
Error executing command: Can't install feature camel-cxf/0.0.0:
Could not start bundle mvn:org.apache.cxf/cxf-rt-rs-extension-providers/3.0.6 in feature(s) cxf-jaxrs-3.0.6: Uses constraint violation. Unable to resolve bundle revision org.apache.cxf.cxf-rt-frontend-jaxrs [219.0] because it is exposed to package 'javax.annotation' from bundle revisions javax.annotation-api [187.0] and org.apache.felix.framework [0] via two dependency chains.
Chain 1:
org.apache.cxf.cxf-rt-frontend-jaxrs [219.0]
import: (&(osgi.wiring.package=javax.annotation)(version>=1.2.0)(!(version>=2.0.0)))
|
export: osgi.wiring.package=javax.annotation
javax.annotation-api [187.0]
Chain 2:
org.apache.cxf.cxf-rt-frontend-jaxrs [219.0]
import: (&(osgi.wiring.package=org.springframework.context.annotation)(version>=3.1.0)(!(version>=5.0.0)))
|
export: osgi.wiring.package=org.springframework.context.annotation; uses:=javax.annotation
org.apache.servicemix.bundles.spring-context [72.0]
import: (osgi.wiring.package=javax.annotation)
|
export: osgi.wiring.package=javax.annotation
org.apache.felix.framework [0]
karaf@root> features:install camel-disruptor
karaf@root> features:install camel-dns
karaf@root> features:install camel-dozer
karaf@root> features:install camel-dropbox
karaf@root> features:install camel-elasticsearch
karaf@root> features:install camel-eventadmin
karaf@root> features:install camel-exec
karaf@root> features:install camel-facebook
karaf@root> features:install camel-flatpack
karaf@root> features:install camel-fop
karaf@root> features:install camel-ftp
karaf@root> features:install camel-gae
karaf@root> features:install camel-ganglia
karaf@root> features:install camel-geocoder
karaf@root> features:install camel-github
karaf@root> features:install camel-google-calendar
karaf@root> features:install camel-google-drive
karaf@root> features:install camel-google-mail
karaf@root> features:install camel-groovy
karaf@root> features:install camel-gson
karaf@root> features:install camel-guava-eventbus
karaf@root> features:install camel-guice
karaf@root> features:install camel-hawtdb
karaf@root> features:install camel-hazelcast
Error executing command: Can't install feature camel-hazelcast/0.0.0:
Could not start bundle mvn:com.hazelcast/hazelcast/3.4.2 in feature(s) camel-hazelcast-2.15.3, camel-vertx-2.15.3: Activator start error in bundle com.hazelcast [338].
karaf@root> features:install camel-hbase
Error executing command: Can't install feature camel-hbase/0.0.0:
Could not start bundle mvn:org.xerial.snappy/snappy-java/1.1.0.1 in feature(s) camel-hdfs2-2.15.3, camel-avro-2.15.3, camel-hbase-2.15.3: Activator start error in bundle org.xerial.snappy.snappy-java [368].
karaf@root> features:install camel-hdfs
karaf@root> features:install camel-hdfs2
Error executing command: Can't install feature camel-hdfs2/0.0.0:
Could not start bundle mvn:org.xerial.snappy/snappy-java/1.1.0.1 in feature(s) camel-hdfs2-2.15.3, camel-avro-2.15.3, camel-hbase-2.15.3: Activator start error in bundle org.xerial.snappy.snappy-java [391].
karaf@root> features:install camel-hipchat
karaf@root> features:install camel-hl7
karaf@root> features:install camel-http
karaf@root> features:install camel-http4
karaf@root> features:install camel-ibatis
karaf@root> features:install camel-ical
karaf@root> features:install camel-infinispan
Error executing command: Can't install feature camel-infinispan/0.0.0:
Could not start bundle mvn:org.xerial.snappy/snappy-java/1.1.0.1 in feature(s) camel-hdfs2-2.15.3, camel-avro-2.15.3, camel-hbase-2.15.3: Activator start error in bundle org.xerial.snappy.snappy-java [414].
karaf@root> features:install camel-irc
karaf@root> features:install camel-jasypt
karaf@root> features:install camel-jaxb
karaf@root> features:install camel-jclouds
karaf@root> features:install camel-jcr
karaf@root> features:install camel-jdbc
karaf@root> features:install camel-jetty
karaf@root> features:install camel-jetty9
Error executing command: Can't install feature camel-jetty9/0.0.0:
Could not start bundle mvn:org.apache.camel/camel-jetty9/2.15.3 in feature(s) camel-jetty9-2.15.3: Unresolved constraint in bundle org.apache.camel.camel-jetty9 [449]: Unable to resolve 449.0: missing requirement [449.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.jetty.client.api)(version>=8.0.0)(!(version>=10.0.0)))
karaf@root> features:install camel-jgroups
karaf@root> features:install camel-jibx
karaf@root> features:install camel-jing
karaf@root> features:install camel-jms
karaf@root> features:install camel-jmx
karaf@root> features:install camel-josql
karaf@root> features:install camel-jpa
karaf@root> features:install camel-jsch
karaf@root> features:install camel-jsonpath
karaf@root> features:install camel-jt400
karaf@root> features:install camel-juel
karaf@root> features:install camel-jxpath
karaf@root> features:install camel-kafka
karaf@root> features:install camel-kestrel
karaf@root> features:install camel-krati
karaf@root> features:install camel-ldap
karaf@root> features:install camel-linkedin
Error executing command: Can't install feature camel-linkedin/0.0.0:
Could not start bundle mvn:org.apache.cxf/cxf-rt-rs-extension-providers/3.0.6 in feature(s) cxf-jaxrs-3.0.6: Uses constraint violation. Unable to resolve bundle revision org.apache.cxf.cxf-rt-frontend-jaxrs [500.0] because it is exposed to package 'javax.annotation' from bundle revisions javax.annotation-api [187.0] and org.apache.felix.framework [0] via two dependency chains.
Chain 1:
org.apache.cxf.cxf-rt-frontend-jaxrs [500.0]
import: (&(osgi.wiring.package=javax.annotation)(version>=1.2.0)(!(version>=2.0.0)))
|
export: osgi.wiring.package=javax.annotation
javax.annotation-api [187.0]
Chain 2:
org.apache.cxf.cxf-rt-frontend-jaxrs [500.0]
import: (&(osgi.wiring.package=org.springframework.context.annotation)(version>=3.1.0)(!(version>=5.0.0)))
|
export: osgi.wiring.package=org.springframework.context.annotation; uses:=javax.annotation
org.apache.servicemix.bundles.spring-context [72.0]
import: (osgi.wiring.package=javax.annotation)
|
export: osgi.wiring.package=javax.annotation
org.apache.felix.framework [0]
karaf@root> features:install camel-lucene
karaf@root> features:install camel-mail
karaf@root> features:install camel-metrics
karaf@root> features:install camel-mina
karaf@root> features:install camel-mina2
karaf@root> features:install camel-mqtt
karaf@root> features:install camel-msv
karaf@root> features:install camel-mustache
karaf@root> features:install camel-mvel
karaf@root> features:install camel-mybatis
karaf@root> features:install camel-nagios
karaf@root> features:install camel-netty
karaf@root> features:install camel-netty-http
karaf@root> features:install camel-netty4
karaf@root> features:install camel-netty4-http
karaf@root> features:install camel-ognl
karaf@root> features:install camel-olingo2
karaf@root> features:install camel-openshift
karaf@root> features:install camel-optaplanner
Error executing command: Can't install feature camel-optaplanner/0.0.0:
Could not start bundle mvn:org.apache.servicemix.bundles/org.apache.servicemix.bundles.jaxb-xjc/2.2.6_1 in feature(s) camel-optaplanner-2.15.3: Unresolved constraint in bundle org.apache.servicemix.bundles.jaxb-xjc [549]: Unable to resolve 549.0: missing requirement [549.0] osgi.wiring.package; (osgi.wiring.package=com.sun.source.tree)
karaf@root> features:install camel-paxlogging
karaf@root> features:install camel-pgevent
karaf@root> features:install camel-printer
karaf@root> features:install camel-protobuf
karaf@root> features:install camel-quartz
karaf@root> features:install camel-quickfix
karaf@root> features:install camel-rabbitmq
karaf@root> features:install camel-restlet
karaf@root> features:install camel-rmi
karaf@root> features:install camel-routebox
karaf@root> features:install camel-rss
karaf@root> features:install camel-ruby
karaf@root> features:install camel-rx
karaf@root> features:install camel-sap-netweaver
karaf@root> features:install camel-salesforce
karaf@root> features:install camel-saxon
karaf@root> features:install camel-scala
karaf@root> features:install camel-schematron
karaf@root> features:install camel-scr
karaf@root> features:install camel-script-jruby
karaf@root> features:install camel-script-javascript
karaf@root> features:install camel-script-groovy
karaf@root> features:install camel-script
karaf@root> features:install camel-servlet
karaf@root> features:install camel-servletlistener
karaf@root> features:install camel-shiro
karaf@root> features:install camel-sip
Error executing command: Can't install feature camel-sip/0.0.0:
Could not start bundle mvn:org.apache.servicemix.bundles/org.apache.servicemix.bundles.jain-sip-ri/1.2.154_2 in feature(s) camel-sip-2.15.3: Unresolved constraint in bundle org.apache.servicemix.bundles.jain-sip-ri [602]: Unable to resolve 602.0: missing requirement [602.0] osgi.wiring.package; (&(osgi.wiring.package=javax.sip)(version>=1.2.0)(!(version>=1.3.0)))
karaf@root> features:install camel-sjms
karaf@root> features:install camel-smpp
karaf@root> features:install camel-snmp
karaf@root> features:install camel-soap
karaf@root> features:install camel-solr
karaf@root> features:install camel-spark-rest
Error executing command: Can't install feature camel-spark-rest/0.0.0:
Could not start bundle mvn:org.apache.camel/camel-jetty9/2.15.3 in feature(s) camel-jetty9-2.15.3: Unresolved constraint in bundle org.apache.camel.camel-jetty9 [614]: Unable to resolve 614.0: missing requirement [614.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.jetty.client.api)(version>=8.0.0)(!(version>=10.0.0)))
karaf@root> features:install camel-splunk
karaf@root> features:install camel-spring-batch
karaf@root> features:install camel-spring-integration
karaf@root> features:install camel-spring-javaconfig
karaf@root> features:install camel-spring-ldap
karaf@root> features:install camel-spring-redis
karaf@root> features:install camel-spring-security
Error executing command: Can't install feature camel-spring-security/0.0.0:
Could not start bundle mvn:org.springframework.security/spring-security-config/3.2.5.RELEASE in feature(s) camel-spring-security-2.15.3: Unresolved constraint in bundle org.springframework.security.config [635]: Unable to resolve 635.0: missing requirement [635.0] osgi.wiring.package; (&(osgi.wiring.package=org.springframework.security.access.intercept.aspectj.aspect)(version>=3.2.5.RELEASE)(!(version>=3.3.0)))
karaf@root> features:install camel-spring-ws
karaf@root> features:install camel-sql
karaf@root> features:install camel-ssh
karaf@root> features:install camel-stax
karaf@root> features:install camel-stream
karaf@root> features:install camel-stomp
karaf@root> features:install camel-string-template
karaf@root> features:install camel-swagger
Error executing command: Can't install feature camel-swagger/0.0.0:
Could not start bundle mvn:org.apache.servicemix.bundles/org.apache.servicemix.bundles.swagger-core/1.3.12_1 in feature(s) camel-swagger-2.15.3: Uses constraint violation. Unable to resolve bundle revision org.apache.servicemix.bundles.swagger-core [663.0] because it is exposed to package 'scala.collection.immutable' from bundle revisions org.scala-lang.scala-library [477.0] and org.scala-lang.scala-library [585.0] via two dependency chains.
Chain 1:
org.apache.servicemix.bundles.swagger-core [663.0]
import: (&(osgi.wiring.package=scala.collection.immutable)(version>=2.10.0)(!(version>=3.0.0)))
|
export: osgi.wiring.package=scala.collection.immutable
org.scala-lang.scala-library [477.0]
Chain 2:
org.apache.servicemix.bundles.swagger-core [663.0]
import: (&(osgi.wiring.package=scala.reflect.api)(version>=2.10.0)(!(version>=3.0.0)))
|
export: osgi.wiring.package=scala.reflect.api; uses:=scala.collection.immutable
org.scala-lang.scala-reflect [657.0]
import: (osgi.wiring.package=scala.collection.immutable)
|
export: osgi.wiring.package=scala.collection.immutable
org.scala-lang.scala-library [585.0]
karaf@root> features:install camel-syslog
karaf@root> features:install camel-tagsoup
karaf@root> features:install camel-test
karaf@root> features:install camel-test-spring
karaf@root> features:install camel-twitter
karaf@root> features:install camel-univocity-parsers
karaf@root> features:install camel-urlrewrite
karaf@root> features:install camel-vertx
Error executing command: Can't install feature camel-vertx/0.0.0:
Could not start bundle mvn:com.hazelcast/hazelcast/3.4.2 in feature(s) camel-hazelcast-2.15.3, camel-vertx-2.15.3: Activator start error in bundle com.hazelcast [681].
karaf@root> features:install camel-velocity
karaf@root> features:install camel-weather
karaf@root> features:install camel-websocket
karaf@root> features:install camel-xmlbeans
karaf@root> features:install camel-xmljson
karaf@root> features:install camel-xmlrpc
karaf@root> features:install camel-xmlsecurity
karaf@root> features:install camel-xmpp
karaf@root> features:install camel-xstream
karaf@root> features:install camel-yammer
karaf@root> features:install camel-zipfile
karaf@root>
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment